# Gimp.param_spec_resource

    @accepts(unicode, unicode, unicode, GType, bool, Gimp.Resource, bool, GObject.ParamFlags)
    @returns(GObject.ParamSpec)
    def param_spec_resource(name, nick, blurb, resource_type, none_ok, default_value, default_to_context, flags):
        # Python wrapper for gimp_param_spec_resource()

Creates a new Gimp.ParamSpecResource specifying a [type@Resource] property. See [func@GObject.ParamSpec.internal] for details on property names.

default_to_context cannot be True for a resource_type of value [class@Gimp.Resource], but only for specific subtypes. If it is True, default_value must be None. Instead of a fixed default, whatever is the context's resource for the given type at run time will be used as dynamic default.

Since 3.0

name

  Canonical name of the property specified.

nick

  Nick name of the property specified.

blurb

  Description of the property specified.

resource_type

  a %GType, subtype of [class@Gimp.Resource].

none_ok

  Whether None is a valid value.

default_value

  Default resource.

default_to_context

  Whether the context is the context's resource for the given resource_type.

flags

  Flags for the property specified.

Returns